#
# spec file for package perl-DBD-Pg (Version 2.17.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-DBD-Pg
%define cpan_name DBD-Pg
Summary:        PostgreSQL database driver for the DBI module
Version:        2.17.2
Release:        8.1
License:        GPL+ or Artistic
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/DBD-Pg/
#Source:         http://www.cpan.org/authors/id/T/TU/TURNSTEP/DBD-Pg-2.17.2.tar.gz
Source:         %{cpan_name}-%{version}.tar.bz2
Patch0:         perl-DBD-Pg-CVE-2012-1151.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  openssl-devel
## TestSuite broken for postgresql < 8.4
## undefined symbol: lo_import_with_oid
# https://rt.cpan.org/Public/Bug/Display.html?id=56363
#BuildRequires:  postgresql-devel >= 8.4
# fixed since 2.17.1
BuildRequires:  postgresql-devel >= 7.4
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.61
BuildRequires:  perl(DBI) >= 1.52
BuildRequires:  perl(version)
#
#BuildRequires:  perl(Cwd)
#BuildRequires:  perl(File::Comments)
#BuildRequires:  perl(File::Comments::Plugin::C)
#BuildRequires:  perl(File::Temp)
#BuildRequires:  perl(Module::Signature) >= 0.50
#BuildRequires:  perl(Perl::Critic)
#BuildRequires:  perl(Pod::Spell)
#BuildRequires:  perl(Test::Pod) >= 0.95
#BuildRequires:  perl(Test::Pod::Coverage)
#BuildRequires:  perl(Test::Warn) >= 0.08
#BuildRequires:  perl(Test::YAML::Meta) >= 0.03
#BuildRequires:  perl(Text::SpellChecker)
#
Requires:       perl(DBI) >= 1.52
Requires:       perl(version)
#
#Recommends:     perl(Cwd)
#Recommends:     perl(File::Comments)
#Recommends:     perl(File::Comments::Plugin::C)
#Recommends:     perl(File::Temp)
#Suggests:       perl(Module::Signature) >= 0.50
#Suggests:       perl(Perl::Critic)
#Suggests:       perl(Pod::Spell)
#Suggests:       perl(Test::Pod) >= 0.95
#Suggests:       perl(Test::Pod::Coverage)
#Suggests:       perl(Test::Warn) >= 0.08
#Suggests:       perl(Test::YAML::Meta) >= 0.03
#Recommends:     perl(Text::SpellChecker)

%description
DBD::Pg is a Perl module that works with the DBI module to provide access
to PostgreSQL databases.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0

%build
export POSTGRES_INCLUDE=/usr/include/pgsql
export POSTGRES_LIB="%{_libdir} -lssl"
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
### since 11.4 perl_process_packlist
### removes .packlist, perllocal.pod files
%if 0%{?suse_version} > 1130
%perl_process_packlist
%else
# do not perl_process_packlist
# remove .packlist file
%{__rm} -f $RPM_BUILD_ROOT%perl_vendorarch/auto/DBD/Pg/.packlist
# remove perllocal.pod file
%{__rm} -f $RPM_BUILD_ROOT%perl_archlib/perllocal.pod
%endif
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes README SIGNATURE TODO

%changelog
* Tue Mar 13 2012 max@suse.com
- Add perl-DBD-Pg-CVE-2012-1151.patch to fix two format string
  flaws (bnc#751500, CVE-2012-1151).
* Thu Dec  2 2010 chris@computersalat.de
- update to 2.17.2
  - Support dequoting of hex bytea format for 9.0.
    [Dagfinn Ilmari MannsÃ¥ker] (CPAN bug #60200).
  - Don't PQclear on execute() if there is an active async query
    [rweikusat at mssgmbh.com] (CPAN bug #58376)
  - Allow data_sources() to accept any case-variant of 'dbi:Pg' (CPAN bug #61574)
  - Fix failing test in t/04misc.t on Perl 5.12. [Eric Simon]
  - Fix for some 7.4 failing tests [Dagfinn Ilmari MannsÃ¥ker]
  - Return bare instead of undef in test connections (CPAN bug #61574)
- recreated by cpanspec 1.78
- removed Authors
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Apr 21 2010 chris@computersalat.de
- update to 2.17.1
  - Only use lo_import_with_oid if Postgres libraries are 8.4 or better
    [GSM] (CPAN bug #56363)
- added Buildi-/Req perl(version)
- fix deps for postgresql-devel >= 7.4
* Wed Apr  7 2010 chris@computersalat.de
- update to 2.17.0
  - Do not automatically ROLLBACK on a failed pg_cancel [GSM]
    (CPAN bug #55188)
  - Added support for new lo_import_with_oid function.
    [GSM] (CPAN bug #53835)
  - Don't limit stored user name to \w in tests [GSM]
    (CPAN bug #54372)
  - Allow tests to support versions back to Postgres 7.4 [GSM]
- TestSuite broken for postgresql < 8.4
  o undefined symbol: lo_import_with_oid
  o BUG opened
    https://rt.cpan.org/Public/Bug/Display.html?id=56363
* Tue Apr  6 2010 chris@computersalat.de
- update to 2.16.1
  - Output error messages in UTF-8 as needed. Reported biy
    Michael Hofmann. [GSM] (CPAN bug #53854)
- 2.16.0 Released December 17, 2009
  - Put in a test for high-bit characters in bytea handling.
  [Bryce Nesbitt] (see also CPAN bug #39390)
  - Better SQLSTATE code on connection failure (CPAN bug #52863)
  [Chris Travers with help from Andrew Gierth]
  - Fixed POD escapes (CPAN bug #51856) [FWIE@cpan.org]
- cleanup spec
  o sort TAGS
  o upated Summary
  o macros
  o fixed deps
- added perl-macros
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Aug 12 2009 max@suse.de
- New version: 2.15.1.
- http://cpansearch.perl.org/src/TURNSTEP/DBD-Pg-2.15.1/Changes
* Thu Sep 11 2008 max@suse.de
- New version: 2.10.3:
  * Add the 'DBD' trace setting to output only non-DBI trace
    messages, and allow 'dbd_verbose' as a connection attribute
    for the same effect.
  * Allow multi-statement do() calls with parameters to work if
    pg_server_prepare is set to 0
  * Add support for database handle attribute "ReadOnly".
  * Added in payload strings for LISTEN/NOTIFY in 8.4.
  * Plus more bug fixes and improvements to the test suite and
    documentation.
* Tue Apr 22 2008 max@suse.de
- Fixed file list.
* Thu Apr 17 2008 max@suse.de
- New version: 2.6.0. Changes include:
  * Various performance improvements.
  * Add Bundle::DBD::Pg
  * Fix memory leaks in dbdimp.c
  * Fix strlen problems in dbdimp.c
  * Overhaul COPY functions
  * Add support for arrays
  * Add support for asynchronous queries
- See /usr/share/doc/packages/perl-DBD-Pg/Changes for details.
* Fri May 19 2006 max@suse.de
- New version: 1.49:
  * Added support for geometric types.
  * Various bugfixes.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 max@suse.de
- New version: 1.42 (bug #128183).
* Sat Feb 28 2004 ro@suse.de
- fix requirement for /usr/local
- fix "control reaches end of non-void function"
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 21 2003 max@suse.de
- new version: 1.22
- Fix build for perl-5.8.1.
* Mon Jun 30 2003 ro@suse.de
- remove traces of buildroot from installed files
* Sun Jun 22 2003 coolo@suse.de
- package directories
* Wed Feb  5 2003 ro@suse.de
- updated neededforbuild
* Wed Jul  3 2002 max@suse.de
- New package perl-DBD-Pg version 1.13.
- A database driver for perl-DBI and PostgreSQL.
